TestSwitch (JSAP: the Java Simple Argument Parser)
Keywords: com.martiansoftware.jsap.TestSwitch class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.martiansoftware.jsap
Class TestSwitch

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.martiansoftware.jsap.TestSwitch

All Implemented Interfaces:
  junit.framework.Test

    public class TestSwitch

extends junit.framework.TestCase

Tests the Switch class.

Author:
  Marty Lamb

Constructor Summary
`TestSwitch(String name)` Creates a new test case with the specified name.

Method Summary
`static junit.framework.Test` | `suite()` Returns a suite of tests defined by this class
`void` | `testID()` Tests the ability to retrieve the Switch's ID.
`void` | `testLongFlag()` Tests the ability to set/get the Switch's long flag.
`void` | `testShortFlag()` Tests the ability to set/get the Switch's short flag.
`void` | `testSwitchParse()` Tests the parsing ability of the Switch.

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSwitch

    public TestSwitch(String name)

  Creates a new test case with the specified name.

  Parameters:
    `name` - the name for this test case.

Method Detail

### suite

    public static junit.framework.Test suite()

  Returns a suite of tests defined by this class

  Returns:
    a suite of tests defined by this class

### testID

    public void testID()

  Tests the ability to retrieve the Switch's ID.

### testShortFlag

    public void testShortFlag()

  Tests the ability to set/get the Switch's short flag.

### testLongFlag

    public void testLongFlag()

  Tests the ability to set/get the Switch's long flag.

### testSwitchParse

    public void testSwitchParse()

  Tests the parsing ability of the Switch.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005, Martian Software, Inc.. All Rights Reserved.
For the latest version and documentation, please visit http://www.martiansoftware.com/jsap